Package org.gnupg

# Interface GnuPGDummyKeyUtil.KeyFilter

Enclosing class:
  `GnuPGDummyKeyUtil`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface GnuPGDummyKeyUtil.KeyFilter
Filter for selecting keys.

## Method Summary

Modifier and Type
Method
Description
`static GnuPGDummyKeyUtil.KeyFilter`
`any()`
Select any key.
`boolean`
`filter(long keyId)`
Return true, if the given key should be selected, false otherwise.
`static GnuPGDummyKeyUtil.KeyFilter`
`only(long onlyKeyId)`
Select only the given keyId.
`static GnuPGDummyKeyUtil.KeyFilter`
`selected(Collection<Long> ids)`
Select all keyIds which are contained in the given set of ids.

## Method Details

### filter

boolean filter(long keyId)
Return true, if the given key should be selected, false otherwise.

Parameters:
  `keyId` - id of the key
Returns:
  select

### any

static GnuPGDummyKeyUtil.KeyFilter any()
Select any key.

Returns:
  filter

### only

static GnuPGDummyKeyUtil.KeyFilter only(long onlyKeyId)
Select only the given keyId.

Parameters:
  `onlyKeyId` - only acceptable key id
Returns:
  filter

### selected

static GnuPGDummyKeyUtil.KeyFilter selected(Collection<Long> ids)
Select all keyIds which are contained in the given set of ids.

Parameters:
  `ids` - set of acceptable keyIds
Returns:
  filter